Bug 488116 - JMS client doesn't handle exception during subscribe correctly
JMS client doesn't handle exception during subscribe correctly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
high Severity medium
: 1.1.1
: ---
Assigned To: Rafael H. Schloming
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 14:03 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 14:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modified version of pub-sub listener that uses a durable subscription (7.60 KB, text/x-java)
2009-03-02 14:03 EST, Gordon Sim
no flags Details

  None (edit)
Description Gordon Sim 2009-03-02 14:03:39 EST
Created attachment 333776 [details]
Modified version of pub-sub listener that uses a durable subscription

If two connection using the same clientid both try to create a message consumer for the same durable subscription, the broker issues an exception to one of them (as the message.subscribe request has the exclusive flag set). However this does not result in the application receiving an exception; instead the request hangs and eventually times out waiting for 'completion'.

To reproduce run two instances of the attached listener (modified from the pubsusb example).
Comment 1 Martin Kudlej 2009-04-16 05:55:34 EDT
Tested on RHEL 5.3/4.7 i386/x86_64 and it works as expected --> VERIFIED
Comment 2 Justin Ross 2011-06-29 14:47:08 EDT
Fixed and verified; closing.

Note You need to log in before you can comment on or make changes to this bug.